### Method

# Vips Sbuf get_line_copy

#### Declaration [src]

    char*
    vips_sbuf_get_line_copy (
      VipsSbuf* sbuf
    )

#### Description [src]

Fetch the next line of text from `sbuf` and return it. The end of line character (or characters, for DOS files) are removed, and the string is terminated with a null (`\0` character).

The return result must be freed with `g_free()`.

This is slower than `vips_sbuf_get_line()`, but can work with lines of any length.

#### Return value

Type: `char*`

The next line of text, or `NULL` on EOF or read error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.